%global momorel 5
%global qtdir %{_libdir}/qt3

Summary: PDF rendering library
Name: poppler

Version: 0.14.0
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Development/Libraries
URL: http://poppler.freedesktop.org/

Source0: http://poppler.freedesktop.org/%{name}-%{version}.tar.gz
NoSource: 0

# http://pc11.2ch.net/test/read.cgi/linux/1188293074/709
# import from vine linux
Patch0: poppler-0.12.3-otf-support.patch

# build with gcc-4.4.4
Patch1: poppler-0.14.0-gcc-4.4.4.patch

Patch10: poppler-CVE-2009-3938.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: zlib-devel
BuildRequires: libjpeg-devel >= 8a
BuildRequires: freetype-devel >= 2.3.8
BuildRequires: fontconfig-devel >= 2.6.0
BuildRequires: gtk2-devel >= 2.15.5
BuildRequires: glib2-devel >= 2.19.10
BuildRequires: libglade2-devel >= 2.6.3
BuildRequires: libxml2-devel >= 2.7.3
BuildRequires: qt-devel, qt3-devel
Requires: poppler-data

%description
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg
of Glyph and Cog, LLC.  The purpose of forking xpdf is twofold.
First, we want to provide PDF rendering functionality as a shared
library, to centralize the maintenence effort.  Today a number of
applications incorporate the xpdf code base, and whenever a security
issue is discovered, all these applications exchange patches and put
out new releases.  In turn, all distributions must package and release
new version of these xpdf based viewers.  It's safe to say that
there's a lot of duplicated effort with the current situaion.  Even if
poppler in the short term introduces yet another xpdf derived code
base to the world, we hope that over time these applications will
adopt poppler.  After all, we only need one application to use poppler
to break even.

%package devel
Summary: poppler-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel
Requires: gtk2-devel, glib2-devel, cairo-devel
%description devel
poppler-devel

%package glib
Summary: Glib wrapper for poppler
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description glib
%{summary}.

%package glib-devel
Summary: Development files for glib wrapper
Group: Development/Libraries
Requires: %{name}-glib = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}

%description glib-devel
%{summary}.

%package qt
Summary: Qt3 wrapper for poppler
Group:   System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description qt
%{summary}.

%package qt-devel
Summary: Development files for Qt3 wrapper
Group:   Development/Libraries
Requires: %{name}-qt = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: qt3-devel

%description qt-devel
%{summary}.

%package qt4
Summary: Qt4 wrapper for poppler
Group:   System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description qt4
%{summary}.

%package qt4-devel
Summary: Development files for Qt4 wrapper
Group:   Development/Libraries
Requires: %{name}-qt4 = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: qt4-devel

%description qt4-devel
%{summary}.

%package utils
Summary: Command line utilities for converting PDF files
Group: Applications/Text
Requires: %{name} = %{version}-%{release}

%description utils
%{summary}.

%prep
%setup -q
%patch0 -p1 -b .otf-support
sed -i 's/moc -i/\/usr\/%{_lib}\/qt4\/bin\/moc-qt4 -i/g' qt4/*/Makefile*

%patch1 -p1 -b .gcc-4.4.4

%patch10 -p1 -b .CVE-2009-3938

%build
automake
export QTDIR=%{qtdir}
%configure \
    --enable-silent-rules \
    --enable-static=no \
    --enable-gtk-doc \
    --enable-xpdf-headers \
    --enable-zlib \
    --enable-exceptions \
    --enable-gdk
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post glib -p /sbin/ldconfig

%postun glib -p /sbin/ldconfig

%post qt -p /sbin/ldconfig

%postun qt -p /sbin/ldconfig

%post qt4 -p /sbin/ldconfig

%postun qt4 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README-XPDF TODO
%{_libdir}/libpoppler.so.*
%{_libdir}/libpoppler-cpp.so.*
%exclude %{_libdir}/*.la

%files devel
%defattr(-, root, root)
%{_libdir}/libpoppler.so
%{_libdir}/libpoppler-cpp.so
%{_libdir}/pkgconfig/poppler-splash.pc
%{_libdir}/pkgconfig/poppler.pc
%{_libdir}/pkgconfig/poppler-cpp.pc
%dir %{_includedir}/poppler
%{_includedir}/poppler/fofi
%{_includedir}/poppler/goo
%{_includedir}/poppler/splash
%{_includedir}/poppler/*.h
%{_includedir}/poppler/cpp
%{_datadir}/gtk-doc/html/poppler

%files glib
%defattr(-,root,root,-)
%{_libdir}/libpoppler-glib.so.*
%{_includedir}/poppler/glib

%files glib-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/poppler-glib.pc
%{_libdir}/pkgconfig/poppler-cairo.pc
%{_libdir}/libpoppler-glib.so

%files qt
%defattr(-,root,root,-)
%{_libdir}/libpoppler-qt.so.*

%files qt-devel
%defattr(-,root,root,-)
%{_libdir}/libpoppler-qt.so
%{_libdir}/pkgconfig/poppler-qt.pc
%{_includedir}/poppler/qt3

%files qt4
%defattr(-,root,root,-)
%{_libdir}/libpoppler-qt4.so.*

%files qt4-devel
%defattr(-,root,root,-)
%{_libdir}/libpoppler-qt4.so
%{_libdir}/pkgconfig/poppler-qt4.pc
%{_includedir}/poppler/qt4

%files utils
%defattr(-,root,root,-)
%{_bindir}/pdffonts
%{_bindir}/pdfimages
%{_bindir}/pdfinfo
%{_bindir}/pdftoabw
%{_bindir}/pdftohtml
%{_bindir}/pdftoppm
%{_bindir}/pdftops
%{_bindir}/pdftotext
%{_mandir}/man1/pdffonts.1*
%{_mandir}/man1/pdfimages.1*
%{_mandir}/man1/pdfinfo.1*
%{_mandir}/man1/pdftohtml.1*
%{_mandir}/man1/pdftoppm.1*
%{_mandir}/man1/pdftops.1*
%{_mandir}/man1/pdftotext.1*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14.0-5m)
- full rebuild for mo7 release

* Sun Jul 25 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14.0-4m)
- split utils subpackage

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14.0-3m)
- rebuild against qt-4.6.3-1m

* Thu Jun 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14.0-2m)
- [SECURITY] CVE-2009-3938
- import a security patch from Debian unstable (0.12.4-1)

* Wed Jun  9 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.0-1m)
- update to 0.14.0
- add --disable-gtk-test to configure (gcc-4.4.4)

* Tue Jun  1 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.4-3m)
- revise %%files to avoid conflicting
- please check BuildRequires of all packages depending on poppler
- poppler-glib-devel has %%{_includedir}/poppler/glib
- some packages may need BuildRequires: poppler-glib-devel to build

* Mon May 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.4-2m)
- split package

* Sat Apr 24 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.4-1m)
- update to 0.12.4

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.12.3-3m)
- rebuild against libjpeg-8a

* Wed Mar  3 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.3-2m)
- add patch0 (from vine linux)
-- http://pc11.2ch.net/test/read.cgi/linux/1188293074/709

* Sun Jan 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.3-1m)
- update 0.12.3

* Tue Dec 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.2-2m)
- enable-gdk (for gimp)

* Wed Dec 16 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.2-1m)
- update 0.12.2
- [SECURITY] CVE-2009-3607
- add Require poppler-data

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.12.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Oct 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.12.1-1m)
- [SECURITY] CVE-2009-1188 CVE-2009-3603 CVE-2009-3604 CVE-2009-3606
- [SECURITY] CVE-2009-3607 CVE-2009-3608 CVE-2009-3609
- update to 0.12.1

* Sun Sep 13 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.0-2m)
- rebuild against libjpeg-7

* Sat Sep 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-1m)
- update to 0.12.0
-- enable-static=no

* Sun May 24 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.10.7-1m)
- update to 0.10.7

* Sun Apr 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.6-1m)
- update to 0.10.6
- [SECURITY] CVE-2009-0799, CVE-2009-0800, CVE-2009-1179, CVE-2009-1180
- CVE-2009-1181, CVE-2009-1182, CVE-2009-1183, CVE-2009-1187, CVE-2009-1188

* Thu Mar 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.5-1m)
- update to 0.10.5

* Fri Feb 13 2009 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.10.4-1m)
- [SECURITY] CVE-2009-0755 CVE-2009-0756
- update 0.10.4

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.3-2m)
- rebuild against rpm-4.6

* Wed Jan 14 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.10.3-1m)
- update 0.10.3

* Mon Dec 22 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.10.2-1m)
- update 0.10.2

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.0-1m)
- update to 0.10.0

* Fri Sep 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.7-1m)
- update to 0.8.7

* Sun Jun 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.4-1m)
- update to 0.8.4

* Sat Jun 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-1m)
- update to 0.8.3

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.2-2m)
- rebuild against qt-4.4.0-1m

* Sun May 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2

* Sun Apr 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.0-3m)
- must specify QTDIR for qt3 under KDE4 environment

* Mon Apr 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0-2m)
- support 64bit arch

* Sun Apr 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.4-2m)
- rebuild against gcc43

* Sun Jan 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- update to 0.6.4

* Sun Jan  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.3-1m)
- update to 0.6.3

* Tue Nov 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.2-1m)
- update to 0.6.2, security fixes are included

* Fri Nov  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.1-2m)
- [SECURITY] CVE-2007-4352 CVE-2007-5392 CVE-2007-5393
- import security patch

* Mon Oct 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Thu Sep  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6-2m)
- update to 0.6 again

* Thu Sep  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.4-6m)
- version down to 0.5.4

* Thu Sep  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6-1m)
- update to 0.6

* Tue Jul 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.4-5m)
- [SECURITY] CVE-2007-3387
- apply security patch (poppler-0.5.4-CVE-2007-3387.patch)

* Sun Apr 22 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.4-4m)
- BuildRequires: qt-devel, qt4-devel

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-3m)
- BuildPreReq: freetype2-devel -> freetype-devel

* Mon Jan 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.4-2m)
- [SECURITY] MOAB-06-01-2007
- Multiple Vendor PDF Document Catalog Handling Vulnerability

* Tue Oct 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.4-1m)
- update to 0.5.4

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-3m)
- delete libtool library

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.5.3-2m)
- rebuild against expat-2.0.0-1m

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-1m)
- update to 0.5.3

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- update to 0.5.1

* Sat Feb 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-2m)
- enable xpdf header

* Fri Feb 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- update to Beta version

* Sun Feb 12 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.5-1m)
- [SECURITY] CVE-2006-0301
- update to 0.4.5

* Wed Feb  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.4-1m)
- update to 0.4.4
-- Security update; CVE-2005-3624, CVE-2005-3625, CVE-2005-3627.
-- Fix KDE bug #119569, endless loop in jpeg decoder.
- add patch1 CharCodeToUnicode
-- http://lists.freedesktop.org/archives/poppler/2005-July/000660.html
- delete *.la file (for libtool)

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.2-3m)
- add gcc-4.1 patch
- Patch0: poppler-0.4.2-gcc41.patch

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-2m)
- delete autoreconf and make check

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-1m)
- start
